 // Piscar LED no valor mximo de contagem do TMR1/3/5 modo 16 bits

 /*'******************************calculo temporizao timer1 ***************

 calculo de temporizao mxima do timer1
 Time_overflow = ciclo_maquina * Prescaler * (modo_16 - valor_Inicial)
 logo:
 TempoMaximo = 0.5us * 8 * 65536
 TempoMaximo = 262.144us  (ou ~262 ms)
  */


 void main(){
#ifdef P18F45K22
   T1CON = 0B00110011;  //'liga TIMER1, prescaler 1:8, modo 16bits.
   ANSELD = 0;
#else    // outro modelo de PIC18F
   T1CON = 0B10110001;  //'liga TIMER1, prescaler 1:8, modo 16bits.
   ADCON1 |= 0X0F;
#endif

   TMR1H = 0;          //carrega valor de contagem alta do TIMER1
   TMR1L = 0;          //carrega valor de contagem baixa do TIMER1
   PIR1.TMR1IF = 0;    //zera flag de estouro do TIMER1


   TRISD = 0;           //define portb como saida
   PORTD = 0;           //apaga todos os leds conectados ao portd

   while (1)
   {
     if(PIR1.TMR1IF == 1)
     {
       PORTD.RD0 = ~LATD.RD0;     // inverte estado lgico do LED
       TMR1H = 0;          //carrega valor de contagem alta do TIMER1
       TMR1L = 0;          //carrega valor de contagem baixa do TIMER1
       PIR1.TMR1IF = 0;    //zera flag de estouro do TIMER1
     }

   }

}